Subject: bug#24439: ispell.el; cutom setting `ispell-library-directory'; patch

From: Laimonas Vėbra <[email-masked]>
Date: Fri, 16 Sep 2016 02:00:46 +0300

Ken Brown wrote:

> Then whoever built it is responsible for the setting of LIBDIR.  I just
> looked at the ispell sources, and the default value of LIBDIR is
> /usr/local/lib on all platforms.  But the README explains how to change it.

It is going offtopic...
LIBDIR can't be set (without patching source code) to native Windows 
path because then it won't find dictionaries either (even from cygwin). 
If it is set to cygwin-unix path, then it finds dictionaries in LIBDIR 
even when called from windows shell, but it doesn't work with Emacs, 
BECAUSE currently ispell.el (ispell-valid-dictionary-list) ommits all 
dictionaries that doesn't exist in LIBDIR
(it's obvious why (file-exists-p (concat (LIBDIR dictionary)) fails)
If LIBDIR was set to native windows path, then dictionaries wouldn't be 
ommited by `ispell-valid-dictionary-list', but cygwin ispell would not 
work either, because it could not find dictionaries in LIBDIR... :-)